<?php
/**
 * Template Name: Blog Full Width  
 *
 * @package luzuk Premium
 */
get_header(); 
?>

<?php $image = wp_get_attachment_url( get_post_thumbnail_id($post->ID));?>
<header class="page-main-header" <?php  if (!empty($image)) : ?> style="background: url('<?php echo esc_url($image); ?>'); background-repeat: no-repeat; background-size:cover; position: relative;"<?php endif ?> >
    <div class="overlay1"></div>
    <?php if( get_theme_mod('header_animation_display','show' ) == 'show') : ?>
    <div class="headimgbx">
        <?php 
            $h_inn1_image = get_theme_mod('h_inn1_image');
            if(!empty($h_inn1_image)){
                echo '<img alt="'. esc_html(get_the_title()) .'" src="'.esc_url($h_inn1_image).'" class="img-responsive secondry-bg-img" />';
            }else{
                echo '<img  src="'.get_template_directory_uri().'/images/smv1.png" class="img-responsive hinn1" />';
            }
        ?> 

        <?php 
            $h_inn2_image = get_theme_mod('h_inn');
            if(!empty($h_inn)){
                echo '<img alt="'. esc_html(get_the_title()) .'" src="'.esc_url($h_inn).'" class="img-responsive secondry-bg-img" />';
            }else{
                echo '<img  src="'.get_template_directory_uri().'/images/smv2.png" class="img-responsive hinn2" />';
            }
        ?> 

        <?php 
            $h_inn3_image = get_theme_mod('h_inn3_image');
            if(!empty($h_inn3_image)){
                echo '<img alt="'. esc_html(get_the_title()) .'" src="'.esc_url($h_inn3_image).'" class="img-responsive secondry-bg-img" />';
            }else{
                echo '<img  src="'.get_template_directory_uri().'/images/smv3.png" class="img-responsive hinn3" />';
            }
        ?>

        <?php 
            $h_inn3_image4_image = get_theme_mod('h_inn3_image4_image');
            if(!empty($h_inn3_image4_image)){
                echo '<img alt="'. esc_html(get_the_title()) .'" src="'.esc_url($h_inn3_image4_image).'" class="img-responsive secondry-bg-img" />';
            }else{
                echo '<img  src="'.get_template_directory_uri().'/images/smv4.png" class="img-responsive hinn4" />';
            }
        ?>
    </div>
    <?php endif ?>
        <?php if( get_theme_mod('breadcrumb_button_display','show' ) == 'show') : ?>
        <div class="  container" >
            <div class="headinnbox">
                <?php the_title( '<h1 class="ht-main-title ">', '</h1>' ); ?>
                <div class="breadcrumbbox ">
                    <div class='button'><?php luzuk_lite_the_breadcrumb(); ?></div>
                    <div class="clearfix"></div>
                </div>
                
            </div>
            <?php endif ?>
        </div>
        <div class="clearfix"></div>
    <!-- </div> -->
    <div class="clearfix"></div>
</header>

<main id="innerpage-box">
    <div class="container">
        <div class="inner_contentbox">
    
               <!--  <div class="col-md-4 col-sm-4">
                    <div id="secondary" class="widget-area">
                          <//?php  dynamic_sidebar('luzuk-blog-sidebar'); ?>
                    </div>
                </div> -->
            <div id="blog-box" class="ht-blog-wrap innerpage-whitebox ">
                <div class="row mr-0">
              <?php
                $current_page = max(1, get_query_var('paged'));
                $luzuk_blog_cat_exclude = get_theme_mod('luzuk_blog_categories');
                $luzuk_blog_cat_exclude = explode(',', $luzuk_blog_cat_exclude);
                $excerpt = get_theme_mod('luzuk_blog_categories_settings');
                $args = array(
                    'category__not_in' => $luzuk_blog_cat_exclude,
                    // 'page'=,
                    'paged'=> $current_page,

                );
                $query = new WP_Query($args);
                if($query -> have_posts()):
                    while($query -> have_posts()) : $query -> the_post();
                     $luzuk_image = wp_get_attachment_image_src(get_post_thumbnail_id() , 'total-blog-thumb');
                     $img = (has_post_thumbnail())?esc_url($luzuk_image[0]):get_template_directory_uri().'/images/default.png';
                     ?>
                <div class="inner-blog-post col-lg-4 col-md-6 col-sm-6 col-xs-12 ">
                        <?php 
                            $blgtxtlimit = get_theme_mod('blgtxtlimit', '100');
                        ?> 
                    <div class="inner-blogpost">
                        <div class="ht-blog-thumbnail">
                            <a href="<?php the_permalink(); ?>">
                                <img class="inner-blog-img" src="<?php echo $img; ?>" alt="<?php the_title(); ?>">
                                <!-- <div class="overlay"></div> -->
                            </a>     
                        </div>
                        <div class="inner-blogpost-bx">
                            <div class="inner-blogpost-info">
                                <a href="<?php the_permalink(); ?>"><h2><?php the_title(); ?></h2></a>
                                <div class="inner-blog-excerpt">
                                    <?php 
                                       if (has_excerpt()) {
                                                  echo get_the_excerpt();
                                              } else {
                                                  echo luzuk_excerpt(get_the_content(),$blgtxtlimit );  
                                           }
                                    ?> 

                                    <?php
                                        $blog_button2 = get_theme_mod('blog_button2', 'Read More');
                                    ?>
                                    <?php if($blog_button2) { ?>
                                        <div class="bloginnbtn">  
                                            <a class= "btn" href="<?php echo esc_url(get_permalink()); ?>">
                                                <span><?php echo $blog_button2 ?></span>
                                            </a>
                                            <div class="clearfix"></div>
                                        </div> 
                                    <?php }?>
                                </div>
                            </div>
                            <?php if( get_theme_mod('postdate_button_display','show' ) == 'show') :?>
                            <div class="row mr-0">
                                <div class="blog-date">
                                    <li ><i class="fa fa-calendar"></i><?php echo get_the_date( 'M j, Y' ); ?></li>
                                    <li class="auth"><i class="fa fa-user"></i> By <?php echo get_the_author(); ?></li>
                                </div>
                                                                                  
                            </div>
                            <?php endif ?>
                        </div>
                        <div class="clearfix"></div>
                    </div>
                    <script type="text/javascript">
                        var title = 0;
                        jQuery(".page-template-blog-left-sidebar .inner-blogpost").each(function(){
                          if ($(this).height() > title) { title = $(this).height(); }
                        });
                        jQuery(".page-template-blog-left-sidebar .inner-blogpost").height(title);


                        // on Resize change height

                        jQuery(window).resize(function(){
                          jQuery(".page-template-blog-left-sidebar .inner-blogpost").height("");
                          var title = 0;
                          jQuery(".page-template-blog-left-sidebar .inner-blogpost").each(function(){
                            if ($(this).height() > title) { title = $(this).height(); }
                          });
                          jQuery(".page-template-blog-left-sidebar .inner-blogpost").height(title);
                        });
                    </script>
                  <!-- <script>
                      jQuery.noConflict();
                      $(function(){
                        function innerblogpostHeight(){
                          var ht = 0;
                          $('.page-template-blog-left-sidebar .inner-blogpost').each(function(i){
                            var tHt = $(this).height();
                            if(ht<tHt){
                              ht=tHt;
                            }
                          });
                          $('.page-template-blog-left-sidebar .inner-blogpost').height(ht+'px');
                        }
                        innerblogpostHeight();
                      });
                      $( window ).resize(function(){
                        innerblogpostHeight();
                      });
                  </script> -->
              </div> 

           <?php
               endwhile;
            endif;
            wp_reset_postdata();
            ?>
              <div class="clearfix"></div>
          </div>
          </div>
              <div class="clearfix"></div>
            <div class="row mr-0">
                    <div class="col-md-12">
                            <div class="pagingation">
                                 <?php lzGetPagination($query);?>
                            </div>
                    </div>
            </div>
          <div class="clearfix"></div>
      
      </div>
    </div>
</main>
<?php get_footer(); ?>
